fpc_hcp_common.h File Reference

Host Communication Protocol common type definitions. More...

`#include <stdint.h>`
`#include <stdbool.h>`
Include dependency graph for fpc_hcp_common.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | fpc_hcp_arg_data
| Command Argument. More...
struct | fpc_hcp_packet
| Application Command Packet. More...

## Macros

#define | HCP_MIN(x, y) (((x) < (y)) ? (x) : (y))
#define | CMD_APP_BASE_VAL 0xE000
#define | ARG_APP_BASE_VAL 0x7000

## Typedefs

typedef uint16_t | fpc_hcp_cmd_t
typedef uint16_t | fpc_hcp_arg_t
typedef struct fpc_hcp_arg_data | fpc_hcp_arg_data_t
| Command Argument. More...
typedef struct fpc_hcp_packet | fpc_hcp_packet_t
| Application Command Packet. More...

## Enumerations

enum

fpc_hcp_cmd {
CMD_NONE = 0x0000,
CMD_CAPTURE = 0x0001,
CMD_ENROLL = 0x0002,
CMD_IDENTIFY = 0x0003,
CMD_MATCH = 0x0004,
CMD_IMAGE = 0x0005,
CMD_TEMPLATE = 0x0006,
CMD_WAIT = 0x0007,
CMD_SETTINGS = 0x0008,
CMD_NAVIGATE = 0x1001,
CMD_SENSOR = 0x1002,
CMD_DEADPIXELS = 0x1003,
CMD_CONNECT = 0x2001,
CMD_RECONNECT = 0x2002,
CMD_RESET = 0x3002,
CMD_CANCEL = 0x3003,
CMD_INFO = 0x3004,
CMD_STORAGE_TEMPLATE = 0x4002,
CMD_STORAGE_CALIBRATION = 0x4003,
CMD_STORAGE_LOG = 0x4004,
CMD_STORAGE_SETTINGS = 0x4005,
CMD_TEST = 0x5001,
CMD_MCU = 0x5002,
CMD_GPIO = 0x5003,
CMD_COMMUNICATION = 0x6001,
CMD_APP_BASE = CMD_APP_BASE_VAL,
CMD_DIAG = 0xF003,
CMD_FFFF = 0xFFFF
}

enum

fpc_hcp_arg {
ARG_NONE = 0x0000,
ARG_FINGER_DOWN = 0x0001,
ARG_FINGER_UP = 0x0002,
ARG_START = 0x0003,
ARG_ADD = 0x0004,
ARG_FINISH = 0x0005,
ARG_ID = 0x0006,
ARG_ALL = 0x0007,
ARG_EXTRACT = 0x0008,
ARG_MATCH_IMAGE = 0x0009,
ARG_MATCH = 0x000A,
ARG_ACQUIRE = 0x1001,
ARG_RELEASE = 0x1002,
ARG_SET = 0x1003,
ARG_GET = 0x1004,
ARG_UPLOAD = 0x1005,
ARG_DOWNLOAD = 0x1006,
ARG_CREATE = 0x1007,
ARG_SAVE = 0x1008,
ARG_DELETE = 0x1009,
ARG_DATA = 0x100A,
ARG_UPDATE = 0x100B,
ARG_SEQ_NR = 0x100C,
ARG_SEQ_LEN = 0x100D,
ARG_RESULT = 0x2001,
ARG_COUNT = 0x2002,
ARG_SIZE = 0x2003,
ARG_LEVEL = 0x2004,
ARG_FORMAT = 0x2005,
ARG_FLAG = 0x2006,
ARG_PROPERTIES = 0x2007,
ARG_SPEED = 0x2008,
ARG_PROD_TEST = 0x2009,
ARG_SENSOR_TYPE = 0x3001,
ARG_WIDTH = 0x3002,
ARG_HEIGHT = 0x3003,
ARG_RESET = 0x3004,
ARG_DPI = 0x3005,
ARG_MAX_SPI_CLOCK = 0x3006,
ARG_NUM_SUB_AREAS_WIDTH = 0x3007,
ARG_NUM_SUB_AREAS_HEIGHT = 0x3008,
ARG_IRQ_STATUS = 0x3009,
ARG_RESET_HARD = 0x300A,
ARG_IDLE = 0x4001,
ARG_SLEEP = 0x4002,
ARG_DEEP_SLEEP = 0x4003,
ARG_POWER_MODE = 0x4004,
ARG_BUSY_WAIT = 0x4005,
ARG_TIMEOUT = 0x5001,
ARG_DONE = 0x5002,
ARG_BOOT = 0x6001,
ARG_STATUS = 0x6002,
ARG_VERSION = 0x6003,
ARG_UNIQUE_ID = 0x6004,
ARG_APP_BASE = ARG_APP_BASE_VAL,
ARG_NONCE = 0x8001,
ARG_MAC = 0x8002,
ARG_RANDOM = 0x8003,
ARG_CLAIM = 0x8004,
ARG_PUBLIC_KEY = 0x8005,
ARG_CIPHERTEXT = 0x8006,
ARG_MTU = 0x9001,
ARG_STACK = 0xE001,
ARG_FILL = 0xE002,
ARG_HEAP = 0xE003,
ARG_MODE = 0xF001,
ARG_DEBUG = 0xF002,
ARG_FFFF = 0xFFFF
}

## Detailed Description

Host Communication Protocol common type definitions.

Definition in file fpc_hcp_common.h.

## Macro Definition Documentation

#define ARG_APP_BASE_VAL 0x7000

Program specific arguments base number

Definition at line 39 of file fpc_hcp_common.h.

#define CMD_APP_BASE_VAL 0xE000

Program specific commands base number

Definition at line 36 of file fpc_hcp_common.h.

#define HCP_MIN | ( |  | x,
|  |  | y
| ) |  | (((x) < (y)) ? (x) : (y))

Returns the smallest of two values.

Definition at line 33 of file fpc_hcp_common.h.

## Typedef Documentation

typedef struct fpc_hcp_arg_data fpc_hcp_arg_data_t

Command Argument.

typedef uint16_t fpc_hcp_arg_t

HCP Argument type

Definition at line 191 of file fpc_hcp_common.h.

typedef uint16_t fpc_hcp_cmd_t

HCP Command type

Definition at line 92 of file fpc_hcp_common.h.

typedef struct fpc_hcp_packet fpc_hcp_packet_t

Application Command Packet.

## Enumeration Type Documentation

enum fpc_hcp_arg

HCP Argument definitions

Enumerator
ARG_NONE |
ARG_FINGER_DOWN |
ARG_FINGER_UP |
ARG_START |
ARG_ADD |
ARG_FINISH |
ARG_ID |
ARG_ALL |
ARG_EXTRACT |
ARG_MATCH_IMAGE |
ARG_MATCH |
ARG_ACQUIRE |
ARG_RELEASE |
ARG_SET |
ARG_GET |
ARG_UPLOAD |
ARG_DOWNLOAD |
ARG_CREATE |
ARG_SAVE |
ARG_DELETE |
ARG_DATA |
ARG_UPDATE |
ARG_SEQ_NR |
ARG_SEQ_LEN |
ARG_RESULT |
ARG_COUNT |
ARG_SIZE |
ARG_LEVEL |
ARG_FORMAT |
ARG_FLAG |
ARG_PROPERTIES |
ARG_SPEED |
ARG_PROD_TEST |
ARG_SENSOR_TYPE |
ARG_WIDTH |
ARG_HEIGHT |
ARG_RESET |
ARG_DPI |
ARG_MAX_SPI_CLOCK |
ARG_NUM_SUB_AREAS_WIDTH |
ARG_NUM_SUB_AREAS_HEIGHT |
ARG_IRQ_STATUS |
ARG_RESET_HARD |
ARG_IDLE |
ARG_SLEEP |
ARG_DEEP_SLEEP |
ARG_POWER_MODE |
ARG_BUSY_WAIT |
ARG_TIMEOUT |
ARG_DONE |
ARG_BOOT |
ARG_STATUS |
ARG_VERSION |
ARG_UNIQUE_ID |
ARG_APP_BASE |
ARG_NONCE |
ARG_MAC |
ARG_RANDOM |
ARG_CLAIM |
ARG_PUBLIC_KEY |
ARG_CIPHERTEXT |
ARG_MTU |
ARG_STACK |
ARG_FILL |
ARG_HEAP |
ARG_MODE |
ARG_DEBUG |
ARG_FFFF |

Definition at line 95 of file fpc_hcp_common.h.

enum fpc_hcp_cmd

HCP Command definitions

Enumerator
CMD_NONE |
CMD_CAPTURE |
CMD_ENROLL |
CMD_IDENTIFY |
CMD_MATCH |
CMD_IMAGE |
CMD_TEMPLATE |
CMD_WAIT |
CMD_SETTINGS |
CMD_NAVIGATE |
CMD_SENSOR |
CMD_DEADPIXELS |
CMD_CONNECT |
CMD_RECONNECT |
CMD_RESET |
CMD_CANCEL |
CMD_INFO |
CMD_STORAGE_TEMPLATE |
CMD_STORAGE_CALIBRATION |
CMD_STORAGE_LOG |
CMD_STORAGE_SETTINGS |
CMD_TEST |
CMD_MCU |
CMD_GPIO |
CMD_COMMUNICATION |
CMD_APP_BASE |
CMD_DIAG |
CMD_FFFF |

Definition at line 42 of file fpc_hcp_common.h.